-- Copyright (C) 2003 Media Net Link, Inc. Danville, CA 94526 USA
-- 
-- This file is part of AthenaRMS.
-- 
-- AthenaRMS is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- AthenaRMS is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

CREATE TABLE attribute (
  attribute_id integer primary key,
  attribute_type varchar(50) NOT NULL,
  value_group_id integer NOT NULL,
  attribute_name varchar(255) NOT NULL,
  additional_info varchar(255),
  updated_by varchar(50),
  created_by varchar(50),
  updated_on timestamp,
  created_on timestamp,
  -- attribute_short_name varchar(30),
  -- limit_to_list int(1) default 1 not null,
  -- multi_value int(1) default 0 not null,
  -- char_limit int default 255 not null,
  -- is_native int(1) default 0 not null,
  foreign key (attribute_type) references attribute_types (attribute_type),
  foreign key (value_group_id) references value_group (value_group_id)
);
